Gecode::Int::NoOverlap::FixDim Class Reference

Dimension combining coordinate and integer size information. More...

`#include <no-overlap.hh>`

## Public Member Functions

| FixDim (void)
| Default constructor.
| FixDim (IntView c, int s)
| Constructor.
int | ssc (void) const
| Return smallest start coordinate.
int | lsc (void) const
| Return largest start coordinate.
int | sec (void) const
| Return smallest end coordinate.
int | lec (void) const
| Return largest end coordinate.
ExecStatus | nooverlap (Space &home, FixDim &d)
| Dimension must not overlap with d.
void | update (Space &home, FixDim &d)
| Update dimension during cloning.
void | subscribe (Space &home, Propagator &p)
| Subscribe propagator p to dimension.
void | cancel (Space &home, Propagator &p)
| Cancel propagator p from dimension.
void | reschedule (Space &home, Propagator &p)
| Schedule propagator p.

## Protected Member Functions

ExecStatus | ssc (Space &home, int n)
| Modify smallest start coordinate.
ExecStatus | lec (Space &home, int n)
| Modify largest end coordinate.
ExecStatus | nooverlap (Space &home, int n, int m)
| Dimension must not overlap with coordinates n to m.

## Protected Attributes

IntView | c
| Coordinate.
int | s
| Size.

## Detailed Description

Dimension combining coordinate and integer size information.

Definition at line 49 of file no-overlap.hh.

## Constructor & Destructor Documentation

## FixDim() [1/2]

Gecode::Int::NoOverlap::FixDim::FixDim | ( | void |  | ) |

inline

Default constructor.

Definition at line 41 of file dim.hpp.

## FixDim() [2/2]

Gecode::Int::NoOverlap::FixDim::FixDim | ( | IntView | c,
|  | int | s )

inline

Constructor.

Definition at line 44 of file dim.hpp.

## Member Function Documentation

## ssc() [1/2]

ExecStatus Gecode::Int::NoOverlap::FixDim::ssc | ( | Space & | home,
|  | int | n )

inline protected

Modify smallest start coordinate.

Definition at line 65 of file dim.hpp.

## lec() [1/2]

ExecStatus Gecode::Int::NoOverlap::FixDim::lec | ( | Space & | home,
|  | int | n )

inline protected

Modify largest end coordinate.

Definition at line 70 of file dim.hpp.

## nooverlap() [1/2]

ExecStatus Gecode::Int::NoOverlap::FixDim::nooverlap | ( | Space & | home,
|  | int | n,
|  | int | m )

inline protected

Dimension must not overlap with coordinates n to m.

Definition at line 75 of file dim.hpp.

## ssc() [2/2]

int Gecode::Int::NoOverlap::FixDim::ssc | ( | void |  | ) | const

inline

Return smallest start coordinate.

Definition at line 48 of file dim.hpp.

## lsc()

int Gecode::Int::NoOverlap::FixDim::lsc | ( | void |  | ) | const

inline

Return largest start coordinate.

Definition at line 52 of file dim.hpp.

## sec()

int Gecode::Int::NoOverlap::FixDim::sec | ( | void |  | ) | const

inline

Return smallest end coordinate.

Definition at line 56 of file dim.hpp.

## lec() [2/2]

int Gecode::Int::NoOverlap::FixDim::lec | ( | void |  | ) | const

inline

Return largest end coordinate.

Definition at line 60 of file dim.hpp.

## nooverlap() [2/2]

ExecStatus Gecode::Int::NoOverlap::FixDim::nooverlap | ( | Space & | home,
|  | FixDim & | d )

inline

Dimension must not overlap with d.

Definition at line 83 of file dim.hpp.

## update()

void Gecode::Int::NoOverlap::FixDim::update | ( | Space & | home,
|  | FixDim & | d )

inline

Update dimension during cloning.

Definition at line 95 of file dim.hpp.

## subscribe()

void Gecode::Int::NoOverlap::FixDim::subscribe | ( | Space & | home,
|  | Propagator & | p )

inline

Subscribe propagator p to dimension.

Definition at line 101 of file dim.hpp.

## cancel()

void Gecode::Int::NoOverlap::FixDim::cancel | ( | Space & | home,
|  | Propagator & | p )

inline

Cancel propagator p from dimension.

Definition at line 105 of file dim.hpp.

## reschedule()

void Gecode::Int::NoOverlap::FixDim::reschedule | ( | Space & | home,
|  | Propagator & | p )

inline

Schedule propagator p.

Definition at line 109 of file dim.hpp.

## Member Data Documentation

## c

IntView Gecode::Int::NoOverlap::FixDim::c

protected

Coordinate.

Definition at line 52 of file no-overlap.hh.

## s

int Gecode::Int::NoOverlap::FixDim::s

protected

Size.

Definition at line 54 of file no-overlap.hh.

The documentation for this class was generated from the following files:

- gecode/int/no-overlap.hh
- gecode/int/no-overlap/dim.hpp